<?php
// base class with member properties and methods
class Notizia {
	var $idnotizia;
	var $titolo;
	var $luogo;
	var $abstract;
	var $testo;
	var $info;
	var $idcategoria;
	var $categoria;
	var $fonte;
	var $urlfonte;
	var $data_immissione;
	var $data_notizia;
	var $data_ini_pub;
	var $data_fine_pub;
	var $posizione;
	var $foto_piccola;
	var $foto_grande;
	var $didascalia;

	function Notizia($record,$notizie,$categorie,$homepage) {
		$this->idnotizia = $record[0];
		$this->titolo = $record[1];
		$this->luogo = $record[2];
		$this->abstract = $record[3];
		$this->testo = $record[4];
		$this->info = $record[5];
		$this->idcategoria = $record[6];
		$this->categoria = $record[7];
		$this->fonte = $record[8];
		$this->urlfonte = $record[9];
		$this->data_immissione = $record[10];
		$this->data_notizia = $record[11];
		$this->data_ini_pub = $record[12];
		$this->data_fine_pub = $record[13];
		$this->posizione = $record[14];
		$this->foto_piccola = ($record[15]=="")?$record[18]:$record[15];
		$this->foto_grande = ($record[16]=="")?$record[19]:$record[16];
		$this->didascalia = str_replace("\"","&quot;",$record[17]);
		$this->didascalia = $record[17];
		new Categoria($this,&$categorie);
		$categorie[$this->idcategoria]->foto_piccola = $record[18];
		$categorie[$this->idcategoria]->foto_grande = $record[19];
		$notizie[$this->idnotizia] = $this;
		if ($this->is_online() && $this->posizione>0 && !isset($homepage[$this->posizione])) $homepage[$this->posizione] = $this;
		
	}
	
	function is_online() {
		$oggi = date("Y-m-d 00:00:00");
		return ($this->data_ini_pub<=$oggi && $this->data_fine_pub>=$oggi);
	}
   
   	function stampa($param="home") {
		 switch ($param) {
		    case "home":
			$str = "<div class=\"testobold\">\n".
				"<a href=\"index_db.php?idnotizia=".$this->idnotizia."\">". $this->titolo."</a><br>\n".
				"</div>\n".
				"<div class=\"testo\">".
				strtoupper($this->luogo).", ".CreaData($this->data_notizia) ."<br>".
				$this->abstract.
				"</div>\n";
		        break;
		    case "primo piano":
			$str = "<div class=\"titolopagina\">\n".
				"<a href=\"index_db.php?idnotizia=".$this->idnotizia."\">". $this->titolo."</a><br>\n".
				"</div>\n".
				"<div class=\"testo\">".
				strtoupper($this->luogo).",\ ".CreaData($this->data_notizia) ."<br>".
				$this->abstract.
				"</div>\n";
		        break;
		}
		echo($str);	
	}
	
	function mostra_cat() {
		$str = "<div class=\"titolo_categoria\">".
			$this->categoria.
			"</div>";	
		echo($str);
	}

 function mostra() {
		$str = "<span class=\"titolo\">".
			$this->titolo.
			"</span>\n<br/><span class=\"data\">".
			CreaData($this->data_notizia).
			"</span><br/><br/>".
			$this->testo.
			"<br/><br/>";	
		echo($str);
	}

	function info() {
		$str = (trim($this->info)=="")?"":"<div class=\"archivio\">\n".
			$this->info."\n".
			"</div>";
		echo($str);
	}
	
	function foto() {
		$str = 	"<div class=\"foto_testo\"><img src=\"".
			$this->foto_piccola.
			"\" alt=\"".
			htmlentities($this->didascalia).
			"\" title=\"".
			htmlentities($this->didascalia).
			"\"/></div>";
		echo($str);
	}

	function elenca() {
		if (!$this->is_online()) return;
		$str =  "<span class=\"titolo\"><a href=\"notizia.php?idnotizia=".
			$this->idnotizia.
			"\">".
			$this->titolo.
			"</a></span>\n<br/>\n<span class=\"data\">".
			CreaData($this->data_notizia).
			"</span><br/>".
			$this->abstract.
			" <a href=\"notizia.php?idnotizia=".
			$this->idnotizia.
			"\"><img src=\"images/id.gif\" alt=\"continua\" title=\"continua\"/></a>\n<br/><br/>";
		echo($str);
	}
	
	function elenca_in_categoria() {
		if (!$this->is_online()) return;
		$str =  /*"<span class=\"testo\">".$this->luogo.", ".CreaDataBreve($this->data_notizia).
			"<br>\n".*/
			"<a href=\"notizia.php?idnotizia=".$this->idnotizia."\">". 
			$this->titolo.
			"</a>\n<br/><br/>";
			/*"</span><br><br>\n";*/
		echo($str);
	}
	function elenca_in_pagina() {
		$str =  /*"<span class=\"testo\">".CreaDataBreve($this->data_notizia)." | ".strtolower($this->categoria)."\n".
			"<br>\n".*/ 
			"&middot; <a href=\"notizia.php?idnotizia=".$this->idnotizia."\">".
			$this->titolo.
			"</a>\n<br/><br/>";
			/*"</span><br><br>\n";*/
		echo($str);
	}
	
} // end of class Notizia

class Categoria {
	var $idcategoria;
	var $categoria;
	var $foto_piccola;
	var $foto_grande;
	var $notizie = array();
	
	function Categoria($notizia,$categorie) {
			if (!isset($categorie[$notizia->idcategoria])) {
				$this->idcategoria = $notizia->idcategoria;
				$this->categoria = $notizia->categoria;
				$this->notizie[$notizia->idnotizia]=$notizia;
				$categorie[$notizia->idcategoria] = $this;
			} else {
				$categorie[$notizia->idcategoria]->notizie[$notizia->idnotizia] = $notizia;
			}
	}
	
	function elenca() {
		$str = "<a href=\"categoria.php?idcategoria=".$this->idcategoria."\">".strtolower($this->categoria)."</a><br>";
		echo($str);
	}
	function elenca_notizie() {
		/*echo("<div class=\"titolopagina\">".
			$this->categoria.
			"<br></div><div class=\"testo\">");*/
		foreach ($this->notizie as $notizia) $notizia->elenca();
		/*echo("</div>");*/
	}
	function elenca_notizie_categorie($idnot) {
		if (count($this->notizie)>0) echo("<div class=\"elenco_testo\">");
		foreach ($this->notizie as $notizia) /*if ($idnot!=$notizia->idnotizia)*/ $notizia->elenca_in_categoria();
		if (count($this->notizie)>0) echo("</div>");
	}
	function elenca_notizie_pagina($idnot) {
		if (count($this->notizie)>1) echo("<div class=\"archivio\"><b>In primo piano</b><br>");
		foreach ($this->notizie as $notizia) if ($idnot!=$notizia->idnotizia) $notizia->elenca_in_pagina();
		if (count($this->notizie)>1) echo("</div>");
	}
} // end of class Categoria

class Archivio {
	var $notizie = array();
	var $categorie = array();
	var $homepage = array();
	
	function Archivio($db,$query) {
		$result = mysql_query($query, $db);
		while ($row = mysql_fetch_array($result)) {
			new Notizia($row,&$this->notizie,&$this->categorie,&$this->homepage);
		}
	}
	
	function elenca_notizie() {
		foreach ($this->notizie as $notizia) $notizia->elenca();
	}
	function elenca_notizie_piccolo() {
		foreach ($this->notizie as $notizia) $notizia->elenca_in_pagina();
	}
	function elenca_categorie() {
		foreach ($this->categorie as $categoria) $categoria->elenca();
	}
	function mostra_homepage($pos) {
		$notizia = $this->homepage[$pos];
		if ($pos != 5) { 
			//$length = ($pos==3)?2000:2000; 
			$str = 	"<div class=\"news\">\n<span class=\"categoria\">".
				$notizia->categoria.
				"</span><span class=\"titolo\"><a href=\"notizia.php?idnotizia=".
				$notizia->idnotizia.
				"\">".
				$notizia->titolo.
				"</a></span>\n<br/>\n<span class=\"data\">".
				CreaData($notizia->data_notizia).
				"</span><br/>".
				$notizia->abstract.
				" <a href=\"notizia.php?idnotizia=".
				$notizia->idnotizia.
				"\"><img src=\"images/id.gif\" alt=\"continua\" title=\"continua\"/></a>\n</div>";
		}else{
			$str = 	"<div class=\"news\">\n<span class=\"categoria\">".
				$notizia->categoria.
				"</span><span class=\"titolo\"><a href=\"notizia.php?idnotizia=".
				$notizia->idnotizia.
				"\">".
				$notizia->titolo.
				"</a></span>\n<br/>\n".
				$notizia->testo.
				" <a href=\"notizia.php?idnotizia=".
				$notizia->idnotizia.
				"\"><img src=\"images/id.gif\" alt=\"continua\" title=\"continua\"/></a>\n</div>";
		}
		echo($str);
	}

}
?>